using PARR.DAL.Context;
using PARR.DAL.Models;
using PARR.DAL.Services.Interfaces;

namespace PARR.DAL.Services.Implementations
{
    internal class RobotService : IRobotService
    {
        private readonly DataContext dataContext;

        public RobotService(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<Robot> Get()
        {
            return dataContext.Robots;
        }
    }
}
